Skip to main content
POST
/
v1
/
orgs
/
{org_id}
/
agents
/
{agent_id}
/
tools
Add Agent Tool
curl --request POST \
  --url https://api.letpiper.com/v1/orgs/{org_id}/agents/{agent_id}/tools/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tool_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Platform token (starts with pat_)

Path Parameters

org_id
string<uuid>
required
agent_id
string<uuid>
required

Body

application/json

Request schema for enabling a tool for an agent.

tool_id
string<uuid>
required

Response

Successful Response